0

I am using postmaster 1.5.0 on 2.9.0 EE and with a hook installed at the end of a store purchase, and I want to trigger an email. But....

When I submit the order via store, I get the following errors:

A PHP Error was encountered
Severity: Warning
Message: array_merge(): Argument #2 is not an array
Filename: libraries/Postmaster_base_api.php
Line Number: 184
A PHP Error was encountered
Severity: Warning
Message: Invalid argument supplied for foreach()
Filename: drivers/Channel_data_utility.php
Line Number: 37
A PHP Error was encountered
Severity: Warning
Message: Cannot modify header information - headers already sent by (output started at /public_html/admin/codeigniter/system/core/Exceptions.php:170)
Filename: libraries/Functions.php
Line Number: 446 

Any ideas what might be causing this, or is there a bug in the hooks postmaster version with EE?

0

Postmaster Store hook is only for Store 1, thus the problem.

| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.